Bug 506761 - DNS doesn't resolve names with yum, wget, vlc (cvlc)
DNS doesn't resolve names with yum, wget, vlc (cvlc)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-18 11:34 EDT by Fujisan
Modified: 2014-06-16 11:58 EDT (History)
55 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 459756
Environment:
Last Closed: 2010-06-28 09:07:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fujisan 2009-06-18 11:34:17 EDT
+++ This bug was initially created as a clone of Bug #459756 +++

Description of problem:

I cloned bug 459756 because i think there still might a bug somewhere.
Let me describe my network first.

I have a DNS server running F10 and several desktops running F10 as well all in the same network 10.0.21.128/25. I upgraded one of these desktops to F11 from scratch and my laptop also using preupgrade.
On these 2 machines, I observe some DNS problems just like in bug 459756, for yum, wget and cvlc.

If I run 'yum update', i get these messages:

# yum update
Loaded plugins: dellsysidplugin2, downloadonly, fastestmirror, kernel-module, keys, presto, refresh-packagekit
Loading mirror speeds from cached hostfile
 * fedora: mirror.sov.uk.goscomb.net
 * rpmfusion-free: rpmfusion.famillecollet.com
 * rpmfusion-free-updates: rpmfusion.famillecollet.com
 * rpmfusion-nonfree: rpmfusion.famillecollet.com
 * rpmfusion-nonfree-updates: rpmfusion.famillecollet.com
 * updates: mirror.sov.uk.goscomb.net
http://rpmfusion.famillecollet.com/free/fedora/releases/11/Everything/i386/os/repodata/repomd.xml: [Errno 4] IOError: <urlopen error [Errno -2] Name or service not known>
Trying other mirror.
http://fr2.rpmfind.net/linux/rpmfusion/free/fedora/releases/11/Everything/i386/os/repodata/repomd.xml: [Errno 4] IOError: <urlopen error [Errno -2] Name or service not known>
Trying other mirror.
http://ftp.icm.edu.pl/pub/Linux/distributions/rpmfusion/free/fedora/releases/11/Everything/i386/os/repodata/repomd.xml: [Errno 4] IOError: <urlopen error [Errno -2] Name or service not known>
Trying other mirror.
http://ftp.upjs.sk/pub/mirrors/rpmfusion.org/free/fedora/releases/11/Everything/i386/os/repodata/repomd.xml: [Errno 4] IOError: <urlopen error [Errno -2] Name or service not known>
Trying other mirror.
http://mirror.andreas-mueller.com/pub/rpmfusion/free/fedora/releases/11/Everything/i386/os/repodata/repomd.xml: [Errno 4] IOError: <urlopen error [Errno -2] Name or service not known>
Trying other mirror.
[...]

If i run wget, I get this:

$ wget http://download.fedoraproject.org/pub/fedora/linux/releases/11/Fedora/i386/iso/Fedora-11-i386-DVD.iso
--2009-06-18 17:01:50--  http://download.fedoraproject.org/pub/fedora/linux/releases/11/Fedora/i386/iso/Fedora-11-i386-DVD.iso
Resolving download.fedoraproject.org... failed: Name or service not known.
wget: unable to resolve host address `download.fedoraproject.org'

And if i run cvlc to listen to my favorite radio, i get this:

$ cvlc mms://vipbu.yacast.fr/encodereurope1
VLC media player 1.0.0-rc3 Goldeneye
[0x9a1f7e8] dummy interface: using the dummy interface module...
[0xb7c03d28] main access error: cannot resolve vipbu.yacast.fr port 1755 : Name or service not known
[0xb7c03d28] access_mms access error: failed to open a connection (tcp)
[0xb7c03d28] main access error: cannot resolve vipbu.yacast.fr port 1755 : Name or service not known
[0xb7c03d28] access_mms access error: failed to open a connection (tcp)
[0xb7c03d28] access_mms access error: cannot connect to server
[0xb7c03d28] main access error: cannot resolve vipbu.yacast.fr port 80 : Name or service not known
[0xb7c03d28] access_mms access error: cannot connect to vipbu.yacast.fr:80
[0xb7c009b8] main input error: open of `mms://vipbu.yacast.fr/encodereurope1' failed: (null)
[0xb7c009b8] main input error: Your input can't be opened
[0xb7c009b8] main input error: VLC is unable to open the MRL 'mms://vipbu.yacast.fr/encodereurope1'. Check the log for details.

How reproducible:
Always
  
Actual results:
Name or service not known

Expected results:
It should resolve names.

Additional info:
I can browse the internet with firefox without any problem.
I can resolve names with the command 'host'.

On my F11 laptop:
$ host download.fedoraproject.org
download.fedoraproject.org is an alias for wildcard.fedoraproject.org.
wildcard.fedoraproject.org has address 66.35.62.166
wildcard.fedoraproject.org has address 80.239.156.215
wildcard.fedoraproject.org has address 152.46.7.222
wildcard.fedoraproject.org has address 209.132.176.120
$ host vipbu.yacast.fr
vipbu.yacast.fr has address 193.201.103.108

My /etc/resolv.conf looks like this:

$ more /etc/resolv.conf
# Generated by NetworkManager
domain aaa.bbb.fr
search aaa.bbb.fr
nameserver 10.0.21.17
nameserver 208.67.222.222

and if i switch the 2 last lines like this:

$ more /etc/resolv.conf
# Generated by NetworkManager
domain aaa.bbb.fr
search aaa.bbb.fr
nameserver 208.67.222.222
nameserver 10.0.21.17

It fixes everything, I mean that yum, wget and cvlc resolve the names normally. However, I cannot resolve the names of the machines on my LAN anymore.

I do not observe all these problems on my F10 machines at all.
When I take my F11 laptop at home, I do not observe these problems too.

This page http://www.fedorafaq.org/f10/#dns-slow did not help.

And I don't know if this related to glibc (the select component).

This problem is driving me crazy so I really hope that someone can help me finding what is wrong.

If you need more information, please ask.

----------------------------------------
On my DNS server, I have:
bind-9.5.1-2.P2.fc10.i386
Linux 2.6.27.21-170.2.56.fc10.i686 #1 SMP Mon Mar 23 23:37:54 EDT 2009 i686 i686 i386 GNU/Linux

On F10 desktops:
Linux 2.6.27.24-170.2.68.fc10.x86_64 #1 SMP Wed May 20 22:47:23 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux
NetworkManager-0.7.1-1.fc10.x86_64

On my F11 desktop:
Linux 2.6.29.4-167.fc11.x86_64 #1 SMP Wed May 27 17:27:08 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux
NetworkManager-0.7.1-4.git20090414.fc11.x86_64

On F11 laptop:
Linux 2.6.29.4-167.fc11.i586 #1 SMP Wed May 27 17:14:37 EDT 2009 i686 i686 i386 GNU/Linux
NetworkManager-0.7.1-4.git20090414.fc11.i586
Comment 1 Fujisan 2009-06-26 09:08:26 EDT
Since my F10 DNS server (10.0.21.17) does not work properly for my F11 desktop (10.0.21.200) and laptop, I decided to configure my F11 desktop into a DNS server using bind-9.6.1-0.4.rc1.fc11.x86_64 and bind-utils-9.6.1-0.4.rc1.fc11.x86_64.
I copied /etc/named.conf of my F10 server onto my F11 server. I also copied the zones located in /var/named from my F10 server to my F11 server. I also changed the line DNS1 in /etc/sysconfig/network-scripts/ifcfg-eth0 on my F11 laptop to point to 10.0.21.200.

# Networking Interface
DEVICE=eth0
BOOTPROTO=dhcp
HWADDR=00:45:9A:9C:D5:74
ONBOOT=yes
TYPE=Ethernet
NM_CONTROLLED=yes
USERCTL=yes
IPV6INIT=no
NAME="System eth0"
UUID=5fb16ca0-0bb0-7ffb-45f1-d6eac14f3e03
DNS1=10.0.21.200
DNS2=208.67.222.222
PEERDNS=no
PEERROUTES=yes

I rebooted and then checked the /etc/resolv.conf to be sure everything is correct.

# Generated by NetworkManager
domain aaa.bbb.fr
search aaa.bbb.fr
nameserver 10.0.21.200
nameserver 208.67.222.222

Now, everything seems to work. I can resolve any names from the WAN or my LAN.
yum, wget or vlc doesn't yell "Name of service not known".

And the difference is the version of the bind packages:
bind-9.5.1-2.P2.fc10.i386
bind-9.6.1-0.4.rc1.fc11.x86_64

So I guess i will wait till a new version of bind for F10 is released.
Comment 2 Andreas Schwab 2009-07-14 12:25:27 EDT
Does your nameserver forward queries to the upstream server?
Comment 3 Fujisan 2009-07-15 03:47:12 EDT
No, I don't do any forward.
Comment 4 Andreas Schwab 2009-07-15 04:13:41 EDT
Then that's the expected behaviour.  The resolver will give up as soon as it gets a response from one name server (negative or positive).
Comment 5 Fujisan 2009-07-15 04:21:43 EDT
so, i should have something like this

options {
        [....]
	forwarders {
		208.67.222.222;
		208.67.220.220;
		};
}

in /etc/named.conf of my local dns server?
Comment 6 Stephen 2009-07-17 11:01:18 EDT
This problem is also occurring on Rawhide. BOINC is also unable to access its servers.  I had the same problem with Firefox 3.5 but this was fixed by disabling IPv6 in its configuration.  That may or may not be related
Comment 7 Juan P. Daza P. 2009-12-05 12:11:14 EST
Thank you for taking the time to report this bug. Updates to this package have been released since it was first reported. If you have time to update the package and re-test, please do so and report the results here. You can obtain the updated package by typing 'yum update bind' or using the graphical updater, Software Update.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Bug Zapper 2010-04-27 11:03:50 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-06-28 09:07:49 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.